Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 430938 - kde-base/plasma-workspace-4.9.2 fails with parallel build: fatal error: ui_killrunner_config.h: No such file or directory
Summary: kde-base/plasma-workspace-4.9.2 fails with parallel build: fatal error: ui_ki...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: tracking upstream
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-11 14:07 UTC by Wonko
Modified: 2013-06-09 13:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (kde-base:plasma-workspace-4.8.5:20120811-110520.log,256.03 KB, text/plain)
2012-08-11 14:07 UTC, Wonko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wonko 2012-08-11 14:07:32 UTC
Created attachment 321012 [details]
build log

Happens with MAKEOPTS="--jobs --load 5", compiles fine with -j1. This happens a lot for me, and usually is not reproducable with a fixed number of jobs.

wonko@weird ~ $ emerge --info kde-base/plasma-workspace
Portage 2.2.0_alpha120 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.3, glibc-2.15-r2, 3.4.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.4.5-gentoo-x86_64-AMD_FX-tm-4100_Quad-Core_Processor-with-gentoo-2.1
Timestamp of tree: Sat, 11 Aug 2012 06:15:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.6.8, 2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.12.2
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.4.7, 4.5.4, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo zugaina nx kde enlightenment emacs dfreise proaudio science gamerlay-stable xarthisius sunrise local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -march=amdfam10 -O2          -floop-interchange -floop-strip-mine -floop-block          -msse -msse2 -msse3 -msse4a -msse4.1 -msse4.2 -m3dnow          -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx          --param l1-cache-size=16          --param l1-cache-line-size=64          --param l2-cache-size=2048"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /usr/share/X11/xkb /usr/share/openvpn/easy-rsa"
CXXFLAGS="-pipe -march=amdfam10 -O2          -floop-interchange -floop-strip-mine -floop-block          -msse -msse2 -msse3 -msse4a -msse4.1 -msse4.2 -m3dnow          -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx          --param l1-cache-size=16          --param l1-cache-line-size=64          --param l2-cache-size=2048"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --with-bdeps y --load-average=6.0"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg buildsyspkg collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="rsync://mirror.netcologne.de/gentoo/ http://gentoo.mneisen.org/ http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="de_DE.UTF8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="--jobs --load 5"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/portage/tmpfs"
PORTDIR="/var/portage/tree"
PORTDIR_OVERLAY="/var/portage/layman/zugaina /var/portage/layman/nx /var/portage/layman/kde /var/portage/layman/enlightenment /var/portage/layman/emacs /var/portage/layman/dfreise /var/portage/layman/pro-audio /var/portage/layman/science /var/portage/layman/gamerlay /var/portage/layman/xarthisius /var/portage/layman/sunrise /var/portage/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi aim alsa amd64 apache2 apm audiofile bash-completion bcmath berkdb bluetooth branding bzip2 cairo calendar cdda cdparanoia cdr cli consolekit cracklib crypt ctype cups cvs cxx dbus declarative dga directfb dri dts dvb dvd dvdr emacs emboss encode exif fam fbcon ffmpeg firefox flac foomaticdb fortran ftp gd gdbm ggi gif gimp ginac git gnutls gphoto2 gpm gtk handbook hddtemp iconv icu ieee1394 imagemagick imlib ipv6 jabber jack java javascript jbig jpeg jpeg2k kde kipi latex lcms ldap libnotify lm_sensors lzma mad maildir matroska matrox mikmod mime mmx mng modplug modules motif mp3 mp4 mpeg mplayer mudflap multilib musepack musicbrainz nas ncurses nls nptl nsplugin ogg openal opengl openmp oss pam pango pch pcre pdf phonon php plasma plotutils png policykit ppds pppd qt3support qt4 quicktime radius rdesktop readline recode ruby samba scanner sdl semantic-desktop session slang slp smp sndfile sockets sox speex spell sse sse2 sse3 ssl startup-notification subversion svg tcpd theora threads tiff truetype udev udisks unicode upower usb videos vim-syntax visualization vnc vorbis wma wmf wxwidgets wxwindows x264 xattr xcb xcomposite xine xinerama xml xosd xpm xscreensaver xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="cgi alias auth_basic authn_file authz_groupfile authz_host authz_owner authz_user dir mime userdir" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FRITZCAPI_CARDS="fcpci" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" LIRC_DEVICES="serial" MISDN_CARDS="avmfritz" PHP_TARGETS="php5-3 php5-4" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="canon_pp microtek plustek_pp" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

kde-base/plasma-workspace-4.8.5 was built with the following:
USE="(consolekit) handbook (multilib) (policykit) rss semantic-desktop (-aqua) -debug -google-gadgets -gps -python -qalculate"
Comment 1 Johannes Huber gentoo-dev 2012-08-11 17:43:50 UTC
Please report this upstream and link here back.
Comment 2 Wonko 2012-08-11 18:07:04 UTC
Okay, done.

https://bugs.kde.org/show_bug.cgi?id=304988
Comment 3 Johannes Huber gentoo-dev 2012-08-11 18:25:16 UTC
(In reply to comment #2)
> Okay, done.
> 
> https://bugs.kde.org/show_bug.cgi?id=304988

thanks
Comment 4 Michael Palimaka (kensington) gentoo-dev 2012-10-24 15:12:51 UTC
Can you still reproduce this with 4.9.2?
Comment 5 Wonko 2012-10-24 16:55:05 UTC
Yes, I get the same error.
Comment 6 Michael Palimaka (kensington) gentoo-dev 2013-06-09 13:26:16 UTC
According to upstream this is working now. Please reopen if the issue persists.